#
# spec file for package anachron (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg libmikmo qtdevel qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libmikmo libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         anachron
Copyright:    GPL
Group:        Amusements/Games
#Provides:     
Autoreqprov:  on
Summary:      Real-time strategy game for Linux
Version:      0.5
Release:      295
Source0: anachronism-0.5.tar.bz2
Source1: imageset-0.3.tar.gz
Source2: mapedit-0.2.src.tar.bz2
Source3: scenario-0.3.tar.gz
Source4: soundset-0.3.tar.bz2
Patch:   anachronism-0.5.dif
Patch1:   mapedit.dif

%description
A real-time strategy game. The goal is to lead your troops to victory.

Authors:
--------
    Nikos Vasiliou <nbasili@ceid.upatras.gr>

SuSE series: fun

%prep
%setup -n anachronism-0.5 -b 1 -b 2 -b 3 -b 4
%patch
cd ../mapedit
echo `pwd`
%patch1

%build
%{?suse_update_config:%{suse_update_config -f . anachronism ../mapedit}}
echo `pwd`
%ifarch ia64
  CXXFLAGS="$CXXFLAGS -fno-operator-names" \
%endif
./configure
make
cd ../mapedit
%ifarch ia64
  CXXFLAGS="$CXXFLAGS -fno-operator-names" \
%endif
./configure
make

%install
INSTDIR=/usr/games/lib/anachronism
rm -fr $INSTDIR
install -d -m 755 $INSTDIR
install -m 755 anachronism/anachronism $INSTDIR
cp -a ../images $INSTDIR
cp -a ../sounds $INSTDIR
cp ../*.map $INSTDIR
install -m 755 ../mapedit/mapedit/mapedit /usr/X11R6/bin
cat <<EOT >/usr/X11R6/bin/anachronism
#!/bin/sh
cd $INSTDIR
./anachronism
EOT
chmod 755 /usr/X11R6/bin/anachronism
rm -f /usr/info/dir.bak.gz

%files
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
/usr/games/lib/anachronism
/usr/X11R6/bin/mapedit
/usr/X11R6/bin/anachronism

%changelog -n anachron
* Tue May 08 2001 - mfabian@suse.de
- bzip2 some sources
* Mon Jan 22 2001 - sf@suse.de
- added -fno-operator-names to make it compile on IA64
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Sun Jan 30 2000 - ro@suse.de
- fixed to compile, fixed config for alphaev6
* Tue Sep 21 1999 - uli@suse.de
- new package, version 0.5
